// Verilog definition of TB2
// created by TB

module TB2(N52, N53, N54, N55, N56, N57, N58);
input N52;
input N53;
input N54;
input N55;
input N56;
output N57;
output N58;

  wire N59;
  wire N63;
  wire N70;

  inv02 ix133(N59, N58);
  oai21 ix21(N53, N56, N63, N59);
  nand02_2x ix136(N54, N55, N63);
  ao21 ix138(N52, N54, N70, N57);
  and02 ix9(N53, N63, N70);

endmodule
